﻿@model  EnergyMission.Domain.Entities.PostCodeEntity

@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}


@using (Html.BeginForm("Create", "postcodes", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="left right-blank">


        <div id="editmodel" style="display:none">
            <label class="name">Select Post Code</label>

                @Html.DropDownListFor(model => model.PostCodeNumber1, cs.Postcodename, new { @class = "select-btn" })
                @*<select class="my-dropdown">
                        <option>option1</option>
                        <option>option2</option>
                        <option>option3</option>
                    </select>*@
                        <div class="clearfix"></div>
            <small>or</small>
            <div class="clearfix"></div>


            <label class="name">Type in Post Code</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.NameConfirm)
                @*<input type="text" name="name" value="" placeholder="" />*@
         
            <div class="error-msg">
                <span class="error"><label id="lblval"> </label> </span>
            </div>
                </div>
        </div>

        <div id="viewmodel">

            <label class="name">Select State</label>
            <div style="position:relative;">
                @Html.DropDownListFor(model => model.StateId, cs.States,"Select", new { @class = "select-btn" })
                @*<select class="my-dropdown">
                <option>option1</option>
                <option>option2</option>
                <option>option3</option>
            </select>*@

                <div class="error-msg">
                    @Html.ValidationMessageFor(tt => tt.StateId, "", new { @class = "error-message eql_height" })
                    <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>

                </div>
                </div>
                <div class="clearfix"></div>
                <label class="name">  Post Code</label>
                <div style="position:relative;">
                    @Html.TextBoxFor(model => model.PostCodeNumber)
                    @*<input type="text" name="name" value="" placeholder="" />*@

                    <div class="error-msg">
                        @Html.ValidationMessageFor(tt => tt.PostCodeNumber, "", new { @class = "error-message eql_height" })
                        <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>

                    </div>
                </div>
                <div class="clearfix"></div>

                <label class="name">  Post name</label>
                <div style="position:relative;">
                    @Html.TextBoxFor(model => model.PostName)
                    @*<input type="text" name="name" value="" placeholder="" />*@

                    <div class="error-msg">
                        <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>
                        <span class="error"> @Html.ValidationMessageFor(tt => tt.PostName, "",new{ @class = "error-message eql_height"})</span>
                    </div>
                </div>
            </div>

        <div class="clearfix"></div>
        <input class="save button" name="button" type="submit" value="Submit" />
        <input class="done button" name="button" onclick="cancelall();" type="button" value="Cancel" />
    </div>
    <div class="right">

    </div>
}



@*@using (var f = Html.Bootstrap().Begin(new Form(actionName, "PostCodes").LabelWidthMd(2).InputWidthMd(9)))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)

    @f.FormGroup().TextBoxFor(model => model.PostCodeNumber).Placeholder("2186").WidthMd(1)

    @Html.Partial("_SaveCancelForAddEdit")
}*@
